Introduction

The software is developed for different District Education Office (DEO) to help Account Section & as well as School Administration in the office. The software will be helpful for keeping records of Amount Disbursement to School, Teacher's Profile,Annual budget preparation.

General Features

  • Records of Resource Centre, Schools, Teachers' Profile.

  • Amount Disbursement, Annual Budget Requirement and Reports.
  • TMIS System for School Administration.
  • Teacher's Salary, Grade, PF, Insurance, Allowances
  • Automatic Annual Grade Update and School Requisition Form.
  • Different Daily & Periodic Reports as per Transaction.
  • Multi-user System and User Security System.
  • Year Close system.

Minimum Requirements

  • Pentium 4 or Equivalent computer system

  • 512 RAM
  • 80 GB HDD
  • 17" Monitor
  • Windows XP
  • Office XP
  • SQL Server 2000
  • Fresh Networking between Account Section & School Administration

Software Requirements

  • SQL Server 2000

  • DEO Setup Package
  • Office XP

System Provider

District Education Office (DEO)
Makwanpur

System Provider & Supported by

Mr. Suyash Parajuli
Account Officer
District Education Office, Makwanpur

---------------------------------------------------------------------------------------------------------------------------------------------------

© 5 May 2008

Development Team:
Icon Soft Pivate Limited
URL: www.iconsoft.com.np
Email: info@iconsoft.com.np


General

Hot Keys

How to use Hot Keys ?

We can find differect button like Add, Edit, Delete, Save, Print etc. The underlined letter is called Hot Keys. The hot key is activited with Alt key. We can Click Add button to add new data. Instead of pressing mouse button we can press Alt + A key to click Add button.

Text typing data entry rules.
We should type quotes like ' " <> ] in the text box because these are the special function keys in the software. We should check transaction date, numeric value before saving/updating records.

Daily Backup Database.
System also creates daily backup in the first time opening the software. It contains previous days data only. This is also general rules to create daily backup after completion of data entry and copy it to CDs or Pendrive, or other drives for security.


Server Installation

If you a Installing SQL Server 2000 follow the following steps:

Step1: Installation

  1. Open the SQL Server 2000 CD or Folder.

  2. Run "Autorun.exe" or "Setup.exe" program
  3. Select "SQL Server 2000 Components"
  4. Select "Install Database Server"
  5. Click "Next"

  6. Follow the instruction given by the SQL Server.

Step2: Running Service
1. Click on "Start Menu of Windows"
2. From Microsoft SQL Server Click "Server Manager"

3. Click on Start/Continue ...
if SQL Services are started then we can install DEOSetup

Possibilities:

If your computer is inflected with virus and other privileges SQL Services will not be started and SQL Server will not installed successfully.

If any difficulty arrived please contact to software vendor.


DEO Software Setup

DEO Nikasa & TMIS Setup

After successfull installation of SQL Server you can RUN Setup Package "DEOSetup.EXE" [image] program
Run the program and install it not in "C: Drive" because any time system will be crashed and new windows will be loaded and data will be lost if you do not have backup.

After complete installation Open it from Desktop.

Login software:

In the login window default UserName="Administrator" and Password="aa"

We can change it from User & Security option and will be as per your setting. There are 3 types of user: Administrator User, General User and TMIS User. Administrator user has full control power, General and TMIS User have Limited Authority assigned by the Administrator. TMIS User has the authority to control Resource Centre, School and Teacher related information. General User has Accounting Authority as per information changed by TMIS User and Amount disbursement to the schools.


Settings

Server Settings

[Warning: Do not use Quotes like * ' " < > [ ] in the field of text writing]

Opening Window
When you first run the software after User Login you should connect to SQL Server.
To connect SQL Server. Select Server (. for local computer)
Enter SQL Server Password then a right side window appears.

Or After software opening you can set server and change information as you want. For the purpose click Server Setting from Tools menu.

To Add New Office

  • For changing or add new office name and new database click Add New button.

  • Type office name, Address, Tel No,PO Box etc.

  • Select server name -dot (.) for local server

  • Give Alias reflected as fiscal year shown as in picture.

  • Give SQL Server password.

  • Click Test connection.

  • Click Build botton.

To change previous information.

  • Select Database from Office Details

  • Change Information as above.
  • Click Test Connection.
  • Click Build button.
  • Click on Close button.


User Accounts

[Warning: Do not use Quotes like * ' " < > [ ] in the field of text writing]

Opening window

  • Click on Tools Menu

  • Click on User Accounts

Creat ing User Account

  • Click Add button.

  • Type UserName & Password [Alpabets & Numbers only]
  • Select General User or TMIS User as you want
  • Click Save button.
  • We can't Create Administrator User. It is default given by the system

Editing User Account

  • Click Navigation button [Next or Back] to find User Account.

  • Click Edit button.
  • Change UserName and Password as you want.
  • Select General or TMIS User.
  • Click Update button.
  • Administrator can't be changed or deleted. It's Password will be changed.

Delet ing User Account

  • Click Navigation button [Next or Back] to find User Account.

  • Click Delete button.
  • Administrator User will not be deleted.

[Warning: If Account is already in transaction, do not delete it.]

Verifying Authority

  • Administrator has full control power to handle software.

  • General User or TMIS User can be created by the Administrator.
  • Authority assigned to the General or TMIS User by the Administrator.
  • General User is used for Account Section and TMIS User is used for School Administration Section.
  • TMIS User can't access in Account related work and General User can't access in TMIS related work.
  • They are independed but related with each other.


Security Option

User & Security Options

Opening Window

  • Logon software from Administrator.

  • From Tools menu, select Security Option.

Assigning Authority

  • Select User Name created by the Administrator.

  • Tick () the options Add, Edit, Delete or any one.
  • Click Save button.

Descriptions:

  • Add means all related record(s) will be added in the software.

  • Edit Means all related record(s) will be changed in the software.
  • Delete Means all related record(s) will be deleted in the software.
  • If TMIS User is selected, the user can add, change or delete the TMIS section records.
  • If General User is selected, the user can add, change or delete the Account section records.


Info Transfer

Info Transfer (Year Closing)

Contact the following address and person for first time.

Shyam Kal Shrestha
Iconsoft Pvt. Ltd.
Hetauda, Makwanpur
Email: info@iconsoft.com.np


Compact and Repair Database

Compact & Repair Database

Opening Window

  • Logon software from Administrator.

  • From Tools menu, select Compact & Repair Database.
  • Wait .... It may take several minutes.

Results:

  • Maintenance of database.

  • Reduce the database size.
  • Fulfill the null values in transaction.
  • Increase database reading speed.


Backup and Restore Database

Backup & Restore Database

Creating Backups

  • Logon software from Administrator.

  • From Tools menu select Create Backup.
  • If you want to create backup in own folder click in browse (...) button. Select folder and file name. Click Save button and Click on Create Backup button.
  • Wait for a while .........................
  • Click Close (Cancel) button after finishing backup.

  • If you want to create backup in application folder the no need to click browse button just click on Create Backup button. It will create backup file (BAK File) in where software is installed.

Restoring Database.

  • From Start menu of windows open SQL Server Enterprise Manager.

  • Open the server roots as shown in the figure.
  • Select the Database and click on right button of mouse.
  • Select Restore Database from All Tasks menu.
  • Select From Device Option.
  • Click on Add Devices...button
  • Click Add button.
  • Click Browse (...) button.
  • Select Backup File (*.BAK).
  • Click OK, OK, OK

Be confirm then "Database successfully Restored." information appeared or not.


Resource Centre

[Warning: Do not use Quotes like * ' " < > [ ] in the field of text writing]

Resource Center is the main part of the the system. Under Resource Center we create different school and teachers details.

Creating Resource Center

  • Click on "Resource Center" from Main window

  • Click Add button to add new resource center.
  • Type center Name and Address.
  • Click Save Button to save record.

Editing or Modifying Resource Center
In the Resource Center Window.

  • Select Name from the list..

  • Click on Edit button.
  • Change it as your requirement.
  • Click Update button.

Deleting Records

  • Select Name from the list..

  • Click on Right Button of the mouse.
  • Click on Delete menu.

[Warning: If any School opened under the Center, it will not be deleted.]

Exporting Records to Ms Excel
Click on Export button to export Resource Center in the Ms Excel.


Schools

Name of Schools

[Warning: Do not use Quotes like * ' " < > [ ] in the field of text writing]

Creating Name of Schools

  • Click on "School" and Select School Name Entry from Main window

  • Click Add button to add new School.
  • Type School Name and Address etc in all fiel ds. Do not left
  • Click Save Button to save record.

Editing or Modifying Resource Center
In the Resource Center Window.

  • Select Name from the list..

  • Click on Edit button.
  • Change it as your requirement.
  • Click Update button.

Deleting Records

  • Select Name from the list..

  • Click on Right Button of the mouse.
  • Click on Delete menu.

[Warning: If any School opened under the Center, it will not be deleted.]

Exporting Records to Ms Excel
Click on Export button to export Resource Center in the Ms Excel.


Subjects Setting

Subject Setting

To Maintain the Teacher's Record we should set all the subjects upto secondary level. Without setting subjects we should not assigned the subject to the teachers.

To open the window.

  • Click on Subject setting from Teacher menu of main window.

  • Click Add button
  • Enter Subject
  • Click Save button

or

  • Select Subject from the list.

  • Click Edit botton
  • Change the subject
  • Click Update button.


Teacher Profile

Teacher Records

[Warning: Do not use Quotes like * ' " < > [ ] in the field of text writing]

Click Teacher Records from Teacher Menu.

Adding School Records.

  • Click Add button.

  • Type Teacher Name, Select School, Enter First Grade, Tick head master, head master allowance, select type, select type, appointment date, Tick techinal, stop and retirement as required.
  • Click Save button.

Edititing Records.

  • Search the teacher record by selecting school name, teacher's Name from search option.

  • Click Searched teacher record.
  • Click Edit button.
  • Change the above fields.
  • Click Update button.

Creating Teacher's Profile.
If you change the teacher's records like Level upgrade, Stop salary, Retirement etc, It is neccessary to create profile as teacher's history.

  • Seach and select teacher's name from the grid whose profile to be created.

  • Click Teacher's Profile from Data menu.
  • Click Add button to add record as profile. or
  • Select previous profile record from the grid and Click Edit button to change the records.
  • Select or type the text as required.
  • Click Save or Update button to save records.

Deleting Records.

  • Search and select the teacher's name which to be deleted.

  • Click Delete button.

Note: Record will not be deleted if transaction is found for the session.

Printing Teacher's Records.

  • Find out the Teacher list in the grid.

  • If you want to make list of all teacher and print it Press Enter Key in the seach text box by not selecting school name.
  • Click Print Teacher Records from Data menu.

Exporting Teacher's Record to Ms Excel.

  • Make the list of teachers

  • Click Export to Ms Excel from Data menu.


Personal Information of Teachers

Personal Information of Teacher

We can record personal information of a teacher about his/her individual details, professional status, salary status and current activities.

For Example,

To Enter Personal Information

  • Open the window from Personal Information from Teacher menu of main window.

  • Select teacher's name from the list.
  • Click on Edit button.
  • Enter the required information in the respective fields.
  • Browse the photo (Double click on photo frame).
  • Double click on Subject list to assign the subject to the teacher.
  • or Double on assigned subject to remove from the list.
  • Click Update button.

Note: Subjects should be set up before filling up the PI.

Print PI

  • Select teacher's name from the list.

  • Click on Preview button to print.


Bank Accounts

[Warning: Do not use Quotes like * ' " < > [ ] in the field of text writing]

Click Bank Account from Main Window.

Adding Bank Records.

  • Click Add button.

  • Type Bank Name, and A/C No.
  • Click Save button.

Edititing Records.

  • Click Searched Bank Name.

  • Click Edit button.
  • Change the above fields.
  • Click Update button.

Exporting Bank Record to Ms Excel.

  • Click Export button.

Deleting Bank Record.

  • Select Bank Name.

  • Click right button of mouse.
  • Click Delete menu.

Note: Record will not be deleted if record found in transaction.


Nikasa Heading

[Warning: Do not use Quotes like * ' " < > [ ] in the field of text writing]

Click on vr{lzif{s from Main Window.

Adding Headings.

  • Click Add button.

  • Type heading, Remarks, select Level of the heading and tick in Is Salary [ If heading is salary related.
  • Click Save button.

Note: Salary heading is calculated from teacher salary records and other heading is used to input numeric value directly.

Edititing Records.

  • Click Searched heading.

  • Click Edit button.
  • Change the above fields.
  • Click Update button.

Exporting Heading to Ms Excel.

  • Click Export button.

Deleting Heading.

  • Select Heading from the last.

  • Click right button of mouse.
  • Click Delete menu.

Note: Record will not be deleted if record found in transaction and from the middle of the heading.

Colour of Headings.
Red colour is used heading and Black colour is unused heading.
Only black colour heading will be deleted from the last one by one.


Letter Setting

[Warning: Do not use Quotes like * ' " < > [ ] in the field of text writing]

We can add or change request letter for School and Bank in this software.

Open the Letter Setting window from Main window.

Select First Tab for setting Letters for school and Last tab for Bank Letters.

Adding Letters.

  • Click on Add button.

  • Type text as letter body.
  • Click Save button.

Editing Letters.

  • Select Letter Code from the list which you want to change.

  • Click on Edit button.
  • Change the text as you want.
  • Click Update button.

Deleting Letters

  • Select Letter Code from the list which you want to delete.

  • Click on Delete button.

o;af6 s'g} klg kq k|of]u ePsf jf gePsf ;a} kqsf gd"gfx? x6fpg jf gof /fVg ;lsG5 .


Scale Setting

Scale/Salary Setting

[Warning: Do not use Quotes like * ' " < > [ ] in the field of text writing]

First of all we should set Level and Designation of teachers then Allowance topics and then we can set salary in the respective level and topic. Salary topics like Salary, grade, PF, Insurance etc are fixed and Allowance topic can be changed and added.

Scale Setting

Adding Level

  • Click on First Tab.

  • Click on Add button.
  • Select Level.
  • Type designation.
  • Click Save button.

Tick on Auto Calculation for Permanent and Temporary Designation and do not Tick for Rahat and other designation.

Editing Level

  • Select Level/Designation which you want to change

  • Click on Edit button.
  • Change it as you want
  • Click on Update button.

Deleting unused Level

  • Select Level/Designation which you want to delete

  • Click on delete button.

As per above we can add, change or delete allowance topics

Salary Setting

Click on last tab

Select Level

Fill numeric value as salary, grade, PF, Insurance etc.

Click on Update button

Do the save process in all level.

After setting all we should set grade from Grade Setting which are currently getting as a salary and then set the Salary from Salary Assign window to all teachers as per their Level.


Grade Setting

First Grade Setting

The process of setting grade the teachers are currently getting as salary.

  • Open the window from Grading Setting of Main window.

  • Place the cursor in Search Text box.
  • Type or search the teacher or select teacher and put the numeric value as grade which are getting as a salary.
  • Click on Update button

Do the process for all teacher which are to be set.


Salary Assign

After completion of Scale Setting and Grade Setting we can assign Level wise salary to all teachers from this window. With out applying we can't get Salary Requisition Report of any school.

Assigning Salary to the Level wise teachers.

  • Select Level/Designation from the list.

  • Click on Show button
  • Be confirm all Salary,Grade,PF, Ins and Allowances of every teacher appeared in the grid.
  • We can change Grade and Headmaster Allowance in this grid. Only in white block cell we can change the numeric value as required.
  • Click on Update button.

In every level/designation do the save process.

Print or Export data
Show the data in the grid and Click on Print Preview or Export to Ms Excel as required.


Grade Plus

On the basis of First Appointment Date we can assign Annual Grade. For example all the teachers whose first appointment date is less or equal to 2048/04/01 will be increased in Baishakh and others will be increased in Shrawan.

Open the window from Grade Plus Assign of Teacher menu.

Process

  • Select Before or After according to Base Date 2048/04/01

  • [If you are adding Grade in Baishakh Select Before else After option.]
  • Confirm the current date for increasing Grade.
  • Click on Show button.
  • Be confirm that all the records are upto date.
  • [If you found wrong then correct it from Salary Assign or Grade Assign window.]
  • If you want to change Grade only you can change it only on white blocked cell.
  • Uncheck Lock Data from Data menu.
  • Click on Apply button.
  • [If you found all the record(s) are correct.]
  • Assign Salary of each Level from Salary Assign window.

Note: If you do not assign salary after Grade Plus you will get wrong amount in PF & Festival amount.

Print or Export to Ms Excel
After Showing Data if you want to print or export to Ms Excel for record.
From Data menu Preview for print and Export to Ms Excel to make file.

How to remove currently added grade?
From Data menu Click in Remove Currently Plus Grade menu.


Teacher's Salary Statement

We can get Salary statement of any teacher from the software.

Click Teacher Salary Statement from Teacher Menu.

Select Teacher's Name
Click On Show button
Click on Preview to prin


Nikasa

Amount Disbursement to School

[Warning: Do not use Quotes like * ' " < > [ ] in the field of text writing]

This is the main part of the software. After setting all information of teachers from TMIS Section and other financial setting account section we should disburse the amount as per requisition form of every resource centre and the teachers of the respective schools. There are two types of columns.

1) Salary based column
2) Subsidy based column

In the Salary Based Column we can get salary amount from their Salary Profile [Sheet] and in Subsidy Based Column we can put directly numeric value in the column.

Disbursement Process

  • Select resource centre

  • Select School Level
  • Select Nikasa type (ie first, second, third etc)
  • Select Letter No
  • Click Add button
  • Place the cursor in the column you are giving amount.
  • Put the numeric value as amount in subsidy based column
  • Get Salary from Browsing Salary.
  • Click Save Button.

To change previous disbursed record(s).

  • Select Resource Centre.

  • Select Record No.
  • Click on Show button.
  • Click on Edit button.
  • Change Data as you want.
  • Click Update button.


Flat Reports

School Record Reports

[Warning: Do not use Quotes like * ' " < > [ ] in the field of text writing]

All school records filtered by Resource Centre, Bank Name or Level of School or by all we can view the school records. We can print, Make Excel File and Search the school name as we want from the window.

To open the window Click on School Record Reports from Reports of Main window.

View Records

  • Select Resource Centre or Bank Name or Level or donot select any

  • Click on Show button

Print or Export to Ms Excel

  • Show the data from above process.

  • Click Preview for printing.
  • Click Export to Excel to make excel file.


Letter and Summary Reports

Letter & Summary Reports

[Warning: Do not use Quotes like * ' " < > [ ] in the field of text writing]

From this window we can print disbursement details to the school as an information letter and view the records in date wise, Level wise, Nikasa wise, Resource Centre wise as we want. Berore Printing we can give or remove Chalani No.

To open the window Click on Letter & Summary Reports from Main Window.

To View Reports.

  • Select Nikasa Date (Compulsory)

  • Select Level (Optional)
  • Select Nikasa type (Compulsory)
  • Select resource Centre (Optional)
  • Select Record No (Compulsory)
  • Click on Show button.
  • Tick all or as you want records for print Letters and Click Preview All Letters from Reports button.
  • Select the school of which you want to print letter and click right button of the mouse and Click on Print Selected to print letter.
  • To give Chalani No Click Entry Chalani Register from Reports button and put Chalani No,Chalani Date and Click on Save Chalani.

  • To Print Summary reports of all data displayed in the grid Click on Preview button.

  • To export into Excel Click on Export to Ms Excel.


Bank Reports

[Warning: Do not use Quotes like * ' " < > [ ] in the field of text writing]

After disbursement of amount to the school we should send it with school details to bank to deposit their respective accounts as shown in picture.

To open the window Click on Bank Letters from Main Window.

Process of printing Letters

  • Select Transaction Date

  • Select Resource Centre
  • Select Record No
  • Select School Level
  • Select Nikasa Type
  • Select Bank Name
  • Click on Show button
  • Click on Preview button

Note:
We can break the records in to different subcount to make easier for bank to post amount in school's Account. If you have 40 records in the grid we can break it into 20/20 with its subtotal.

We can give letter no, Chegue No also in the letter.


Comprehensive Reports

Major report parts of the software is comprehensive reports. We can view all the quarterly Nikasa and other of any school from the window. We also find date wise and topic wise disbursement to the school and the details of salary disbursed as a profile.

To open the window Click on Comprehensive Reports from Reports.

Precess of displaying Reports.

  • Click on Select Criteria.

  • Select Resource Centre.
  • Select School Level.
  • Select Nikasa type.
  • Click on Show button.

Export data to excel
Click on Export to Excel.

To print letters, show details and Salary Profile.

Click on the school of which you want to view letter, details or profile.
Select menu as you want as shown in picture.


Custom Reports

Any transaction in Nikasa wise, Bank wise, School, Resource Wise with date range.

To View Reports

  • Enter Initial date and Ending date

  • Select any option as you want.
  • Click on Show button.
  • Click Preview button to Print.
  • Click Export button to Export to Excel.


School Requisition Form

Any School do not require to prepare or submit Salary demand form to DEO Office for quarterly salary disbursement. We have already ready made salary demand form in the software.

To open the window Click on School Requisition Form from Reports of main window.

Process of Viewing Report.

  • Select School Name (for single school).

    1. Click on Multiple Record(s) (For Multiple schools).
    2. Select School Name as required.
  • Select Level of School.
  • Select Level/Designation of Teachers.
    • If you do not want to view with Festival amount unchecked With Festival from Data menu.
  • Click on Show button.

Print ot Export data

  • Click Preview button to print.

  • Click Export to Excel from data menu.


Annual Budget Requirement

We can get the summary report as well as details report of annual budget requirement for salary of all teachers of the district as per the level of the teachers with grade increment in a year.

Method of grade increment of teachers.

  • If we prepare annual budget before the month of Baishakh of the fiscal year, the system automatically calculate yearly amount and inccrease 3 months grade and its effects.

  • If we prepare annual budget after the month of Baishakh or After increment of Grade in Baishakh, system will calculate yearly amount from current total salary and decrease the 9 months Grade and its effects.

Example
Grade (+) = (Grade+Grade x 10%) x 3 [Grade Effect in Salary & PF for next 3 months]
Grade (-) = (Grade + Grade x 10%) x 9 + Grade [Grade Effect in Salary, PF & Festival in 9 months back]

Picture - 1

Process of Viewing Reports

  • Confirm the effective date (Before or after the Baishakh of the fiscal year)

  • If you want to view Annual Report in summary then Check summary in Report menu.
  • If you want to view Annual Report in Details then Check Detail Reports in Report menu.
  • Click on Show button.

Print or Export data.

  • Click Preview button to print.

  • Click Export to MS Excel to export.

Warning!
Before calculating Annual Budget you must Re-Assign Salary.


Report by Query

The window specially designed for the users who are very familier to SQL database and SQL Language. we can generate required report or information from the software which are not designed in the software.

Some example are given the menu and other as per the technique applied by the user. If we know the table structure of the database we can get the own data report from the query by selecting fields, records or Joining 2 or more than 2 tables.

Some Examples

To display Dababase and Table Status of the software.
Select * from Information_Schema.Tables

Total Record from School
Select * from School

Total Record from School of selected fields.
Select SID, Name,Address,BCode,AcNo from School Order by SID

Total Record from School of selected fields and selected records.
Select SID, Name,Address,BCode,AcNo from School Where SID in (2,5,8,60)

Records from School and RCentre
Select School.SID, School.Name as SName ,Rcentre.Name as RName from RCentre Inner Join School on Rcentre.RID=School.RID Order By Rcentre.Name,School.SID

Records from Teacher's Table
Select TID, Name, Salary, Grade, PF, Ins,HMValue,A1, Gtotal from TeacherInfo Order By TID


Installation

Type topic text here.